Package Gnumed :: Package wxpython :: Module gmDemographicsWidgets :: Class cPersonIDsManagerPnl |
[frames] | no frames]

# Class cPersonIDsManagerPnl

source code

                                                        wx.Panel --+
                                                                   |
    wxGladeWidgets.wxgGenericListManagerPnl.wxgGenericListManagerPnl --+
                                                                       |
                                    gmListWidgets.cGenericListManagerPnl --+
                                                                           |
                                                                          cPersonIDsManagerPnl

A list for managing a person's external IDs.

Does NOT act on/listen to the current patient.

Instance Methods
__init__(self, *args, **kwargs) | source code
refresh(self, *args, **kwargs) | source code
Inherited from `gmListWidgets.cGenericListManagerPnl`: `get_selected_item_data`, `set_columns`, `set_data`, `set_selections`, `set_string_items`

Class Variables
| identity = `property(_get_identity, _set_identity)`
Inherited from `gmListWidgets.cGenericListManagerPnl`: `delete_callback`, `edit_callback`, `left_extra_button`, `message`, `middle_extra_button`, `new_callback`, `refresh_callback`, `right_extra_button`, `select_callback`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgGenericListManagerPnl.wxgGenericListManagerPnl.__init__